Package: groovy.transform

## [Java] Annotation Type SourceURI

- groovy.transform.SourceURI

- Variable annotation used for getting the URI of the current script.

  The type of the variable annotated with `@SourceURI` must be assignment compatible with URI. It will be used to hold a URI object that references the source for the current script.

  By default the URI will be made absolute (which is to say it will have an authority) in the case where a relative path was used for the source of the script. If you want to leave relative URIs as relative, then set `allowRelative` to `true`.

  Example usage:

       @groovy.transform.SourceURI def sourceURI

       assert sourceURI instanceof java.net.URI

  Authors:
    Jim White
  Since:
    2.3.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `boolean` | `allowRelative` @default false

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Element Detail

    - #### public boolean allowRelative

      @default false